Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.lib
Interface StringCollator

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  SubstringMatcher

All Known Implementing Classes:
  AlphanumericCollator, CaseFirstCollator, CodepointCollator, RuleBasedSubstringMatcher, SimpleCollation

    public interface StringCollator

extends Serializable

This interface represents a "collation" as defined in XPath, that is, a set of rules for comparing strings

Note: an implementation of this interface that wraps a Java `RuleBasedCollator` is available: see `RuleBasedSubstringMatcher`.

Method Summary
`boolean` | `comparesEqual(String s1, String s2)` Compare two strings for equality.
`int` | `compareStrings(String o1, String o2)` Compare two strings
`Object` | `getCollationKey(String s)` Get a collation key for a String.

Method Detail

### compareStrings

    int compareStrings(String o1,
                       String o2)

  Compare two strings

  Parameters:
    `o1` - the first string
    `o2` - the second string
  Returns:
    0 if the strings are considered equal, a negative integer if the first string is less than the second, a positive integer if the first string is greater than the second

### comparesEqual

    boolean comparesEqual(String s1,
                          String s2)

  Compare two strings for equality. This may be more efficient than using compareStrings and testing whether the result is zero, but it must give the same result

  Parameters:
    `s1` - the first string
    `s2` - the second string
  Returns:
    true if and only if the strings are considered equal,

### getCollationKey

    Object getCollationKey(String s)

  Get a collation key for a String. The essential property of collation keys is that if (and only if) two strings are equal under the collation, then comparing the collation keys using the equals() method must return true.

  Parameters:
    `s` - the string whose collation key is required
  Returns:
    the collation key

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.